/**
 * 模型类模板代码消除工具。
 */

var log = require("./log.js");
var MODEL_EVENTS = require("../include/commons").MODEL_EVENTS;

function logDbError(description, err) {
    log.error(description, ':', err);
}

/**
 * 记录错误，并发送消息。
 *
 * @param object
 * @param err
 * @param description
 */
module.exports.emitDbError = function (object, description, err) {
    logDbError(description, MODEL_EVENTS.Error);

    object.emit(MODEL_EVENTS.Error, {message: description});
};

/**
 * 只记录错误。
 *
 * @type {logDbError}
 */
module.exports.logDbError = logDbError;